API Reference
Resume a paused or failed job run
Resumes execution from where it left off, skipping already-completed tasks. Uses the same snapshotted YAML and pinned task versions from the parent job.
POST /api/job-runs/{id}/resume
Resumes execution from where it left off, skipping already-completed tasks. Uses the same snapshotted YAML and pinned task versions from the parent job.
Operation ID: resumeJobRun
Authentication
Option 1
- BearerAuth (
http bearer) API key token. Create via POST /api/api-keys. Format:envoy_<hex>
Option 2
- CookieAuth (
apiKey) Session cookie set after login + TOTP verification
Path parameters
id—integer,requiredResource ID
Success responses
200
Resume initiated
Content type: application/json
- Type:
object - Properties:
success(boolean)
Error responses
400
Job run cannot be resumed (wrong status)
Content type: application/json
- Reference:
Error- Type:
object - Properties:
error(string)- Example:
NOT_FOUND
- Example:
message(string)- Example:
Resource not found
- Example:
- Type:
404
Resource not found
Content type: application/json
- Reference:
Error- Type:
object - Properties:
error(string)- Example:
NOT_FOUND
- Example:
message(string)- Example:
Resource not found
- Example:
- Type:
Example:
{
"error": "NOT_FOUND",
"message": "Resource not found"
}Examples
cURL
curl --request POST \
--url 'https://your-envoy.example.com/api/job-runs/YOUR_ID/resume' \
--header 'Authorization: Bearer $API_KEY'JavaScript (fetch)
const response = await fetch('https://your-envoy.example.com/api/job-runs/YOUR_ID/resume', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
});
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);